QScintilla: QsciLexerTeX Class Reference

# QsciLexerTeX Class Reference

The QsciLexerTeX class encapsulates the Scintilla TeX lexer. More...

`#include <qscilexertex.h>`

Inherits QsciLexer.

List of all members.

## Public Types

- enum {
  Default = 0, Special = 1, Group = 2,
  Symbol = 3, Command = 4, Text = 5
  }

## Public Member Functions

- QsciLexerTeX (QObject *parent=0)
- virtual ~QsciLexerTeX ()
- const char * language () const
- const char * lexer () const
- const char * wordCharacters () const
- QColor defaultColor (int style) const
- const char * keywords (int set) const
- QString description (int style) const

## Detailed Description

The QsciLexerTeX class encapsulates the Scintilla TeX lexer.

## Member Enumeration Documentation

anonymous enum

This enum defines the meanings of the different styles used by the TeX lexer.

Enumerator:

  Default | The default.
  Special | A special.
  Group | A group.
  Symbol | A symbol.
  Command | A command.
  Text | Text.

## Constructor & Destructor Documentation

QsciLexerTeX::QsciLexerTeX | ( | QObject * | parent = `0` | ) |

Construct a QsciLexerTeX with parent parent. parent is typically the QsciScintilla instance.

virtual QsciLexerTeX::~QsciLexerTeX | ( |  | ) | `[virtual]`

Destroys the QsciLexerTeX instance.

## Member Function Documentation

const char* QsciLexerTeX::language | ( |  | ) | const`[virtual]`

Returns the name of the language.

Implements QsciLexer.

const char* QsciLexerTeX::lexer | ( |  | ) | const`[virtual]`

Returns the name of the lexer. Some lexers support a number of languages.

Implements QsciLexer.

QColor QsciLexerTeX::defaultColor | ( | int | style | ) | const`[virtual]`

Returns the foreground colour of the text for style number style.

Reimplemented from QsciLexer.

const char* QsciLexerTeX::keywords | ( | int | set | ) | const`[virtual]`

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from QsciLexer.

QString QsciLexerTeX::description | ( | int | style | ) | const`[virtual]`

Returns the descriptive name for style number style. If the style is invalid for this language then an empty QString is returned. This is intended to be used in user preference dialogs.

Implements QsciLexer.